새로운 문서를 작성 중입니다.새 문서로 이동
ClawOps Docs
API Reference

외부 MCP 연결 수정

PATCH
/v1/accounts/{accountId}/mcp-connections/{connectionId}

이름과 활성화 여부, 접속 정보를 수정합니다.

url 또는 transport 를 바꾸면 기존 도구 목록을 폐기하고 status 가 untested 로 돌아갑니다. 다른 서버를 가리키게 된 연결이 옛 도구 목록으로 통화에 사용되지 않도록 하기 위해서입니다. 에이전트 연결(binding)은 유지되며, 연결 테스트를 다시 통과하면 그대로 다시 동작합니다.

Authorization

BearerAuth
AuthorizationBearer <token>

API Key를 Bearer 토큰으로 전달

In: header

Path Parameters

accountId*string

계정 ID

connectionId*string

MCP 연결 ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/accounts/string/mcp-connections/string" \  -H "Content-Type: application/json" \  -d '{}'
{
  "connectionId": "clx0mcp0000000000000001",
  "name": "예약 CRM",
  "url": "https://crm.example.com/mcp",
  "host": "crm.example.com",
  "transport": "streamable_http",
  "authType": "bearer",
  "authHeaderName": null,
  "hasSecret": true,
  "enabled": true,
  "status": "tested",
  "toolCount": 3,
  "tools": [
    {
      "name": "get_reservation",
      "description": "예약 번호로 예약 정보를 조회합니다.",
      "inputSchema": {}
    }
  ],
  "lastTestedAt": "2019-08-24T14:15:22Z",
  "lastErrorCode": null,
  "agentCount": 1,
  "dateCreated": "2019-08-24T14:15:22Z",
  "dateUpdated": "2019-08-24T14:15:22Z"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}
{
  "error": "string",
  "code": "recipient_blocked"
}